Package io.dapr.v1

# Class DaprProtos.TryLockRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>
io.dapr.v1.DaprProtos.TryLockRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.TryLockRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.TryLockRequest

public static final class DaprProtos.TryLockRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder> implements DaprProtos.TryLockRequestOrBuilder
Protobuf type `dapr.proto.runtime.v1.TryLockRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.TryLockRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.TryLockRequest`
`build()`
`DaprProtos.TryLockRequest`
`buildPartial()`
`DaprProtos.TryLockRequest.Builder`
`clear()`
`DaprProtos.TryLockRequest.Builder`
`clearExpiryInSeconds()`
Required.
`DaprProtos.TryLockRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.TryLockRequest.Builder`
`clearLockOwner()`
Required.
`DaprProtos.TryLockRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.TryLockRequest.Builder`
`clearResourceId()`
Required.
`DaprProtos.TryLockRequest.Builder`
`clearStoreName()`
Required.
`DaprProtos.TryLockRequest.Builder`
`clone()`
`DaprProtos.TryLockRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`int`
`getExpiryInSeconds()`
Required.
`String`
`getLockOwner()`
Required.
`com.google.protobuf.ByteString`
`getLockOwnerBytes()`
Required.
`String`
`getResourceId()`
Required.
`com.google.protobuf.ByteString`
`getResourceIdBytes()`
Required.
`String`
`getStoreName()`
Required.
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
Required.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.TryLockRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.TryLockRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.TryLockRequest.Builder`
`mergeFrom(DaprProtos.TryLockRequest other)`
`final DaprProtos.TryLockRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.TryLockRequest.Builder`
`setExpiryInSeconds(int value)`
Required.
`DaprProtos.TryLockRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.TryLockRequest.Builder`
`setLockOwner(String value)`
Required.
`DaprProtos.TryLockRequest.Builder`
`setLockOwnerBytes(com.google.protobuf.ByteString value)`
Required.
`DaprProtos.TryLockRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.TryLockRequest.Builder`
`setResourceId(String value)`
Required.
`DaprProtos.TryLockRequest.Builder`
`setResourceIdBytes(com.google.protobuf.ByteString value)`
Required.
`DaprProtos.TryLockRequest.Builder`
`setStoreName(String value)`
Required.
`DaprProtos.TryLockRequest.Builder`
`setStoreNameBytes(com.google.protobuf.ByteString value)`
Required.
`final DaprProtos.TryLockRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### clear

public DaprProtos.TryLockRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.TryLockRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.TryLockRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.TryLockRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.TryLockRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### setField

public DaprProtos.TryLockRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### clearField

public DaprProtos.TryLockRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### clearOneof

public DaprProtos.TryLockRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### setRepeatedField

public DaprProtos.TryLockRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### addRepeatedField

public DaprProtos.TryLockRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### mergeFrom

public DaprProtos.TryLockRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.TryLockRequest.Builder>`

### mergeFrom

public DaprProtos.TryLockRequest.Builder mergeFrom(DaprProtos.TryLockRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### mergeFrom

public DaprProtos.TryLockRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.TryLockRequest.Builder>`
Throws:
  `IOException`

### getStoreName

public String getStoreName()

     Required. The lock store name,e.g. `redis`.

`string store_name = 1 [json_name = "storeName"];`

Specified by:
  `getStoreName` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The storeName.

### getStoreNameBytes

public com.google.protobuf.ByteString getStoreNameBytes()

     Required. The lock store name,e.g. `redis`.

`string store_name = 1 [json_name = "storeName"];`

Specified by:
  `getStoreNameBytes` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The bytes for storeName.

### setStoreName

public DaprProtos.TryLockRequest.Builder setStoreName(String value)

     Required. The lock store name,e.g. `redis`.

`string store_name = 1 [json_name = "storeName"];`

Parameters:
  `value` - The storeName to set.
Returns:
  This builder for chaining.

### clearStoreName

public DaprProtos.TryLockRequest.Builder clearStoreName()

     Required. The lock store name,e.g. `redis`.

`string store_name = 1 [json_name = "storeName"];`

Returns:
  This builder for chaining.

### setStoreNameBytes

public DaprProtos.TryLockRequest.Builder setStoreNameBytes(com.google.protobuf.ByteString value)

     Required. The lock store name,e.g. `redis`.

`string store_name = 1 [json_name = "storeName"];`

Parameters:
  `value` - The bytes for storeName to set.
Returns:
  This builder for chaining.

### getResourceId

public String getResourceId()

     Required. resource_id is the lock key. e.g. `order_id_111`
     It stands for "which resource I want to protect"

`string resource_id = 2 [json_name = "resourceId"];`

Specified by:
  `getResourceId` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The resourceId.

### getResourceIdBytes

public com.google.protobuf.ByteString getResourceIdBytes()

     Required. resource_id is the lock key. e.g. `order_id_111`
     It stands for "which resource I want to protect"

`string resource_id = 2 [json_name = "resourceId"];`

Specified by:
  `getResourceIdBytes` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The bytes for resourceId.

### setResourceId

public DaprProtos.TryLockRequest.Builder setResourceId(String value)

     Required. resource_id is the lock key. e.g. `order_id_111`
     It stands for "which resource I want to protect"

`string resource_id = 2 [json_name = "resourceId"];`

Parameters:
  `value` - The resourceId to set.
Returns:
  This builder for chaining.

### clearResourceId

public DaprProtos.TryLockRequest.Builder clearResourceId()

     Required. resource_id is the lock key. e.g. `order_id_111`
     It stands for "which resource I want to protect"

`string resource_id = 2 [json_name = "resourceId"];`

Returns:
  This builder for chaining.

### setResourceIdBytes

public DaprProtos.TryLockRequest.Builder setResourceIdBytes(com.google.protobuf.ByteString value)

     Required. resource_id is the lock key. e.g. `order_id_111`
     It stands for "which resource I want to protect"

`string resource_id = 2 [json_name = "resourceId"];`

Parameters:
  `value` - The bytes for resourceId to set.
Returns:
  This builder for chaining.

### getLockOwner

public String getLockOwner()

     Required. lock_owner indicate the identifier of lock owner.
     You can generate a uuid as lock_owner.For example,in golang:

     req.LockOwner = uuid.New().String()

     This field is per request,not per process,so it is different for each request,
     which aims to prevent multi-thread in the same process trying the same lock concurrently.

     The reason why we don't make it automatically generated is:
     1. If it is automatically generated,there must be a 'my_lock_owner_id' field in the response.
       This name is so weird that we think it is inappropriate to put it into the api spec
     2. If we change the field 'my_lock_owner_id' in the response to 'lock_owner',which means the current lock owner of this lock,
       we find that in some lock services users can't get the current lock owner.Actually users don't need it at all.
     3. When reentrant lock is needed,the existing lock_owner is required to identify client and check "whether this client can reenter this lock".
       So this field in the request shouldn't be removed.

`string lock_owner = 3 [json_name = "lockOwner"];`

Specified by:
  `getLockOwner` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The lockOwner.

### getLockOwnerBytes

public com.google.protobuf.ByteString getLockOwnerBytes()

     Required. lock_owner indicate the identifier of lock owner.
     You can generate a uuid as lock_owner.For example,in golang:

     req.LockOwner = uuid.New().String()

     This field is per request,not per process,so it is different for each request,
     which aims to prevent multi-thread in the same process trying the same lock concurrently.

     The reason why we don't make it automatically generated is:
     1. If it is automatically generated,there must be a 'my_lock_owner_id' field in the response.
       This name is so weird that we think it is inappropriate to put it into the api spec
     2. If we change the field 'my_lock_owner_id' in the response to 'lock_owner',which means the current lock owner of this lock,
       we find that in some lock services users can't get the current lock owner.Actually users don't need it at all.
     3. When reentrant lock is needed,the existing lock_owner is required to identify client and check "whether this client can reenter this lock".
       So this field in the request shouldn't be removed.

`string lock_owner = 3 [json_name = "lockOwner"];`

Specified by:
  `getLockOwnerBytes` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The bytes for lockOwner.

### setLockOwner

public DaprProtos.TryLockRequest.Builder setLockOwner(String value)

     Required. lock_owner indicate the identifier of lock owner.
     You can generate a uuid as lock_owner.For example,in golang:

     req.LockOwner = uuid.New().String()

     This field is per request,not per process,so it is different for each request,
     which aims to prevent multi-thread in the same process trying the same lock concurrently.

     The reason why we don't make it automatically generated is:
     1. If it is automatically generated,there must be a 'my_lock_owner_id' field in the response.
       This name is so weird that we think it is inappropriate to put it into the api spec
     2. If we change the field 'my_lock_owner_id' in the response to 'lock_owner',which means the current lock owner of this lock,
       we find that in some lock services users can't get the current lock owner.Actually users don't need it at all.
     3. When reentrant lock is needed,the existing lock_owner is required to identify client and check "whether this client can reenter this lock".
       So this field in the request shouldn't be removed.

`string lock_owner = 3 [json_name = "lockOwner"];`

Parameters:
  `value` - The lockOwner to set.
Returns:
  This builder for chaining.

### clearLockOwner

public DaprProtos.TryLockRequest.Builder clearLockOwner()

     Required. lock_owner indicate the identifier of lock owner.
     You can generate a uuid as lock_owner.For example,in golang:

     req.LockOwner = uuid.New().String()

     This field is per request,not per process,so it is different for each request,
     which aims to prevent multi-thread in the same process trying the same lock concurrently.

     The reason why we don't make it automatically generated is:
     1. If it is automatically generated,there must be a 'my_lock_owner_id' field in the response.
       This name is so weird that we think it is inappropriate to put it into the api spec
     2. If we change the field 'my_lock_owner_id' in the response to 'lock_owner',which means the current lock owner of this lock,
       we find that in some lock services users can't get the current lock owner.Actually users don't need it at all.
     3. When reentrant lock is needed,the existing lock_owner is required to identify client and check "whether this client can reenter this lock".
       So this field in the request shouldn't be removed.

`string lock_owner = 3 [json_name = "lockOwner"];`

Returns:
  This builder for chaining.

### setLockOwnerBytes

public DaprProtos.TryLockRequest.Builder setLockOwnerBytes(com.google.protobuf.ByteString value)

     Required. lock_owner indicate the identifier of lock owner.
     You can generate a uuid as lock_owner.For example,in golang:

     req.LockOwner = uuid.New().String()

     This field is per request,not per process,so it is different for each request,
     which aims to prevent multi-thread in the same process trying the same lock concurrently.

     The reason why we don't make it automatically generated is:
     1. If it is automatically generated,there must be a 'my_lock_owner_id' field in the response.
       This name is so weird that we think it is inappropriate to put it into the api spec
     2. If we change the field 'my_lock_owner_id' in the response to 'lock_owner',which means the current lock owner of this lock,
       we find that in some lock services users can't get the current lock owner.Actually users don't need it at all.
     3. When reentrant lock is needed,the existing lock_owner is required to identify client and check "whether this client can reenter this lock".
       So this field in the request shouldn't be removed.

`string lock_owner = 3 [json_name = "lockOwner"];`

Parameters:
  `value` - The bytes for lockOwner to set.
Returns:
  This builder for chaining.

### getExpiryInSeconds

public int getExpiryInSeconds()

     Required. The time before expiry.The time unit is second.

`int32 expiry_in_seconds = 4 [json_name = "expiryInSeconds"];`

Specified by:
  `getExpiryInSeconds` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The expiryInSeconds.

### setExpiryInSeconds

public DaprProtos.TryLockRequest.Builder setExpiryInSeconds(int value)

     Required. The time before expiry.The time unit is second.

`int32 expiry_in_seconds = 4 [json_name = "expiryInSeconds"];`

Parameters:
  `value` - The expiryInSeconds to set.
Returns:
  This builder for chaining.

### clearExpiryInSeconds

public DaprProtos.TryLockRequest.Builder clearExpiryInSeconds()

     Required. The time before expiry.The time unit is second.

`int32 expiry_in_seconds = 4 [json_name = "expiryInSeconds"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.TryLockRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.TryLockRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TryLockRequest.Builder>`